Distribution:	CCux
Packager:  	Christian Metzen <metzench@ccux-linux.de>

Summary: 	Tools for certain user account management tasks.
Name: 		usermode
Version: 	1.87
Release: 	2
License: 	GPL
Group: 		Applications/System
Source: 	usermode-%{version}.tar.gz
Requires: 	util-linux, pam /etc/pam.d/system-auth
BuildPrereq: 	desktop-file-utils, glib-devel, gtk2+-devel
BuildPrereq: 	libglade-devel, libuser-devel, pam-devel, util-linux
BuildPrereq: 	perl-XML-Parser, libattr-devel, libSM-devel, gettext
BuildRoot: 	%{_tmppath}/%{name}-root
BuildRequires:	libICE-devel
BuildRequires:  libSM-devel
BuildRequires:  atk-devel
BuildRequires:  glibc-devel
BuildRequires:  cairo-devel
BuildRequires:  gdk-pixbuf-devel
BuildRequires:  libglade-devel
BuildRequires:  glib-devel
BuildRequires:  gtk2+-devel
BuildRequires:  pango-devel
BuildRequires:  libxml2-devel
BuildRequires:  zlib-devel

%package gtk
Summary: 	Graphical tools for certain user account management tasks.
Group: 		Applications/System
Requires: 	%{name} = %{version}-%{release}

%description
The usermode package contains the userhelper program, which can be
used to allow configured programs to be run with superuser privileges
by ordinary users.

%description gtk
The usermode-gtk package contains several graphical tools for users:
userinfo, usermount and userpasswd.  Userinfo allows users to change
their finger information.  Usermount lets users mount, unmount, and
format filesystems.  Userpasswd allows users to change their
passwords.

Install the usermode-gtk package if you would like to provide users with
graphical tools for certain account management tasks.

%prep
%setup -q

%build
export CFLAGS="$RPM_OPT_FLAGS"
%configure
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

# make userformat symlink to usermount
ln -sf usermount $RPM_BUILD_ROOT%{_bindir}/userformat

# We set up the shutdown programs to be wrapped in this package.  Other
# packages are on their own....
mkdir -p $RPM_BUILD_ROOT/etc/pam.d $RPM_BUILD_ROOT/etc/security/console.apps
for wrappedapp in halt reboot poweroff ; do
	ln -s consolehelper $RPM_BUILD_ROOT%{_bindir}/${wrappedapp}
	install -m644 $wrappedapp $RPM_BUILD_ROOT/etc/security/console.apps/${wrappedapp}
	cp shutdown.pamd $RPM_BUILD_ROOT/etc/pam.d/${wrappedapp}
done
rm -f $RPM_BUILD_ROOT/%{_bindir}/shutdown

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root)
%attr(4711,root,root) /usr/sbin/userhelper
%{_bindir}/consolehelper
%{_mandir}/man8/userhelper.8*
%{_mandir}/man8/consolehelper.8*
# PAM console wrappers
%{_bindir}/halt
%{_bindir}/reboot
%{_bindir}/poweroff
%config(noreplace) /etc/pam.d/halt
%config(noreplace) /etc/pam.d/reboot
%config(noreplace) /etc/pam.d/poweroff
%config /etc/security/console.apps/halt
%config /etc/security/console.apps/reboot
%config /etc/security/console.apps/poweroff

%files gtk
%defattr(-,root,root)
%{_bindir}/usermount
%{_bindir}/userformat
%{_mandir}/man1/usermount.1*
%{_bindir}/userinfo
%{_mandir}/man1/userinfo.1*
%{_bindir}/userpasswd
%{_mandir}/man1/userpasswd.1*
%{_bindir}/consolehelper-gtk
%{_bindir}/pam-panel-icon
%{_datadir}/%{name}
%{_datadir}/pixmaps/*
%{_datadir}/applications/*

%changelog
* Sat Jan 20 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.87-2
- rebuilt against pam 0.99.7.0
* Sun Nov 26 2006 Christian Metzen <metzench@ccux-linux.de> 1.87-1
- Version update
* Sun Jul 16 2006 Christian Metzen <metzench@ccux-linux.de> 1.85-1
- Initial release
